{
	"info": {
		"_postman_id": "47291ace-0a38-4c54-b557-6bf6a7e6c97c",
		"name": "Тестирование API kloud.one",
		"schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json"
	},
	"item": [
		{
			"name": "API сервиса",
			"item": [
				{
					"name": "rarus",
					"item": [
						{
							"name": "Загрузка данных о показаниях ПУ с сервиса",
							"request": {
								"auth": {
									"type": "apikey",
									"apikey": [
										{
											"key": "key",
											"value": "Cookie",
											"type": "string"
										},
										{
											"key": "value",
											"value": "<API Key>",
											"type": "string"
										},
										{
											"key": "in",
											"value": "header",
											"type": "string"
										}
									]
								},
								"method": "GET",
								"header": [],
								"url": {
									"raw": "https://apidb.etcd.kloud.one/rarus?token=OTA1OjkwNQ==",
									"protocol": "https",
									"host": [
										"apidb",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"rarus"
									],
									"query": [
										{
											"key": "token",
											"value": "OTA1OjkwNQ=="
										}
									]
								},
								"description": "Загрузка данных о показаниях ПУ с сервиса\n"
							},
							"response": []
						},
						{
							"name": "Выгрузка данных на сервис",
							"event": [
								{
									"listen": "prerequest",
									"script": {
										"exec": [
											""
										],
										"type": "text/javascript"
									}
								},
								{
									"listen": "test",
									"script": {
										"exec": [
											""
										],
										"type": "text/javascript"
									}
								}
							],
							"protocolProfileBehavior": {
								"disabledSystemHeaders": {}
							},
							"request": {
								"method": "POST",
								"header": [
									{
										"key": "Content-Type",
										"value": "application/x-www-form-urlencoded",
										"type": "text"
									}
								],
								"body": {
									"mode": "urlencoded",
									"urlencoded": [
										{
											"key": "data",
											"value": "{\n  \"accs\": \n  [\n        {\n      \"id\": \"201000100\",\n      \"number\": \"123453\",\n      \"owner\": \"1\",\n      \"phone\": \"79279999999\",\n      \"address\": {\n        \"city\": \"Москва\",\n        \"street\": \"Западная\",\n        \"house\": \"1\",\n        \"apartment\": \"11\",\n        \"apartment_type\": \"квартира\"\n      },\n      \"debt\": {\n        \"sum_of_debt\": 1987,\n        \"months_of_debt_count\": 5,\n        \"last_payment_date\": \"2019-07-08T19:00:00.000+0000\"\n      },\n      \"meters\": [\n        {\n          \"id\": \"181\",\n          \"name\": \"2010001001\",\n          \"values\": 1,\n          \"capacity\": 6,\n          \"service\": \"Холодное водоснабжение\",\n          \"date\": \"2020-09-07T00:00:00Z\",\n          \"val1\": \"11\",\n          \"val2\": \"22\",\n          \"val3\": \"33\"\n        }\n      ]\n    }\n    ],\n  \"sum_of_debt\": 0,\n  \"count_months\": 99\n}",
											"type": "text"
										}
									]
								},
								"url": {
									"raw": "https://apidb.etcd.kloud.one/rarus?token=OTAxOjkwMQ==",
									"protocol": "https",
									"host": [
										"apidb",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"rarus"
									],
									"query": [
										{
											"key": "token",
											"value": "OTAxOjkwMQ=="
										}
									]
								}
							},
							"response": []
						}
					]
				},
				{
					"name": "auth",
					"item": [
						{
							"name": "Аутентификация",
							"event": [
								{
									"listen": "test",
									"script": {
										"exec": [
											""
										],
										"type": "text/javascript"
									}
								}
							],
							"request": {
								"method": "POST",
								"header": [],
								"url": {
									"raw": "https://apidb.etcd.kloud.one/auth/login?login=901&password=901",
									"protocol": "https",
									"host": [
										"apidb",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"auth",
										"login"
									],
									"query": [
										{
											"key": "login",
											"value": "901"
										},
										{
											"key": "password",
											"value": "901"
										}
									]
								}
							},
							"response": []
						},
						{
							"name": "Выход из личного кабинета",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "https://apidb.etcd.kloud.one/auth/logout",
									"protocol": "https",
									"host": [
										"apidb",
										"etcd",
										"cloud",
										"one"
									],
									"path": [
										"auth",
										"logout"
									]
								},
								"description": "Выход из личного кабинета, закрытие сессии"
							},
							"response": []
						}
					]
				},
				{
					"name": "users",
					"item": [
						{
							"name": "Получение профиля Copy",
							"request": {
								"auth": {
									"type": "noauth"
								},
								"method": "GET",
								"header": [],
								"url": {
									"raw": "https://apidb.etcd.kloud.one/users/get_profile?token=OTAxOjkwMQ==",
									"protocol": "https",
									"host": [
										"apidb",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"users",
										"get_profile"
									],
									"query": [
										{
											"key": "token",
											"value": "OTAxOjkwMQ=="
										}
									]
								},
								"description": "Получение профиля пользователя"
							},
							"response": []
						},
						{
							"name": "Создание задачи shop",
							"request": {
								"auth": {
									"type": "basic",
									"basic": [
										{
											"key": "password",
											"value": "test_shop",
											"type": "string"
										},
										{
											"key": "username",
											"value": "test_shop",
											"type": "string"
										}
									]
								},
								"method": "GET",
								"header": [],
								"url": {
									"raw": "https://apidb.etcd.kloud.one/users/tasks?phone=79123625295&number=12&orders=11&email=12&vioce=oksana&operator_phone=79297343140",
									"protocol": "https",
									"host": [
										"apidb",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"users",
										"tasks"
									],
									"query": [
										{
											"key": "phone",
											"value": "79123625295",
											"description": "(Required) Телефон"
										},
										{
											"key": "number",
											"value": "12",
											"description": "(Required) Количество в заказе"
										},
										{
											"key": "orders",
											"value": "11",
											"description": "(Required) Заказ"
										},
										{
											"key": "email",
											"value": "12",
											"description": "(Required) Электронная почта"
										},
										{
											"key": "vioce",
											"value": "oksana",
											"description": "Голос"
										},
										{
											"key": "operator_phone",
											"value": "79297343140",
											"description": "Телефон оператора"
										}
									]
								},
								"description": "Создание задачи shop"
							},
							"response": []
						}
					]
				}
			]
		},
		{
			"name": "Личный кабинет администратора",
			"item": [
				{
					"name": "auth",
					"item": [
						{
							"name": "Аутентификация",
							"event": [
								{
									"listen": "test",
									"script": {
										"exec": [
											""
										],
										"type": "text/javascript"
									}
								}
							],
							"request": {
								"method": "POST",
								"header": [],
								"url": {
									"raw": "https://apidb.etcd.kloud.one/auth/login?login=rarusadmin&password=Qa1Ws2Ed3Rf4",
									"protocol": "https",
									"host": [
										"apidb",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"auth",
										"login"
									],
									"query": [
										{
											"key": "login",
											"value": "rarusadmin"
										},
										{
											"key": "password",
											"value": "Qa1Ws2Ed3Rf4"
										}
									]
								}
							},
							"response": []
						},
						{
							"name": "Выход из личного кабинета",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "https://apidb.etcd.kloud.one/auth/logout",
									"protocol": "https",
									"host": [
										"apidb",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"auth",
										"logout"
									]
								},
								"description": "Выход из личного кабинета, закрытие сессии"
							},
							"response": []
						}
					]
				},
				{
					"name": "user",
					"item": [
						{
							"name": "Создание пользователя",
							"request": {
								"auth": {
									"type": "basic",
									"basic": [
										{
											"key": "password",
											"value": "Qa1Ws2Ed3Rf4",
											"type": "string"
										},
										{
											"key": "username",
											"value": "rarusadmin",
											"type": "string"
										}
									]
								},
								"method": "GET",
								"header": [],
								"url": {
									"raw": "https://apidb.etcd.kloud.one/users/connect_db?login=123&password=123&phone=123&phone_pass=123&server_address=123&type=calls_answers",
									"protocol": "https",
									"host": [
										"apidb",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"users",
										"connect_db"
									],
									"query": [
										{
											"key": "login",
											"value": "123"
										},
										{
											"key": "password",
											"value": "123"
										},
										{
											"key": "phone",
											"value": "123"
										},
										{
											"key": "phone_pass",
											"value": "123"
										},
										{
											"key": "server_address",
											"value": "123"
										},
										{
											"key": "type",
											"value": "calls_answers"
										}
									]
								},
								"description": "Создание пользователя в базе данных"
							},
							"response": []
						},
						{
							"name": "Удаление пользователя",
							"request": {
								"auth": {
									"type": "basic",
									"basic": [
										{
											"key": "password",
											"value": "Qa1Ws2Ed3Rf4",
											"type": "string"
										},
										{
											"key": "username",
											"value": "rarusadmin",
											"type": "string"
										}
									]
								},
								"method": "GET",
								"header": [],
								"url": {
									"raw": "https://apidb.etcd.kloud.one/users/deleteUser?login=123",
									"protocol": "https",
									"host": [
										"apidb",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"users",
										"deleteUser"
									],
									"query": [
										{
											"key": "login",
											"value": "123",
											"description": "(Required) login"
										}
									]
								},
								"description": "Удаление пользователя из базы данных"
							},
							"response": []
						},
						{
							"name": "Получение профиля",
							"request": {
								"auth": {
									"type": "noauth"
								},
								"method": "GET",
								"header": [],
								"url": {
									"raw": "https://apidb.etcd.kloud.one/users/get_profile",
									"protocol": "https",
									"host": [
										"apidb",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"users",
										"get_profile"
									]
								},
								"description": "Получение профиля пользователя"
							},
							"response": []
						}
					]
				},
				{
					"name": "jwt",
					"item": [
						{
							"name": "Получение токена",
							"request": {
								"auth": {
									"type": "apikey",
									"apikey": [
										{
											"key": "key",
											"value": "Cookie",
											"type": "string"
										},
										{
											"key": "value",
											"value": "<API Key>",
											"type": "string"
										},
										{
											"key": "in",
											"value": "header",
											"type": "string"
										}
									]
								},
								"method": "GET",
								"header": [],
								"url": {
									"raw": "https://apidb.etcd.kloud.one/jwt/get?key=030bb203-7f95-4ce3-93b5-d288659e8b34&time=200",
									"protocol": "https",
									"host": [
										"apidb",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"jwt",
										"get"
									],
									"query": [
										{
											"key": "key",
											"value": "030bb203-7f95-4ce3-93b5-d288659e8b34",
											"description": "(Required) Ключ"
										},
										{
											"key": "time",
											"value": "200",
											"description": "(Required) Время"
										}
									]
								},
								"description": "Получение токена"
							},
							"response": []
						},
						{
							"name": "Проверка токена",
							"request": {
								"auth": {
									"type": "apikey",
									"apikey": [
										{
											"key": "key",
											"value": "Cookie",
											"type": "string"
										},
										{
											"key": "value",
											"value": "<API Key>",
											"type": "string"
										},
										{
											"key": "in",
											"value": "header",
											"type": "string"
										}
									]
								},
								"method": "GET",
								"header": [],
								"url": {
									"raw": "https://apidb.etcd.kloud.one/jwt/check?jwt=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJrZXkiOiIwMzBiYjIwMy03Zjk1LTRjZTMtOTNiNS1kMjg4NjU5ZThiMzQiLCJ0aW1lIjoiMjAwIiwiZXhwIjoxNzE4ODAxNTg4LCJpYXQiOjE2MzI0MDE1Mjh9.Q7C6V9npeE2vVJ7dk5k8NtG8Iu9AakMlgGboRn_7_Do",
									"protocol": "https",
									"host": [
										"apidb",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"jwt",
										"check"
									],
									"query": [
										{
											"key": "jwt",
											"value": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJrZXkiOiIwMzBiYjIwMy03Zjk1LTRjZTMtOTNiNS1kMjg4NjU5ZThiMzQiLCJ0aW1lIjoiMjAwIiwiZXhwIjoxNzE4ODAxNTg4LCJpYXQiOjE2MzI0MDE1Mjh9.Q7C6V9npeE2vVJ7dk5k8NtG8Iu9AakMlgGboRn_7_Do",
											"description": "(Required) jwt токен"
										}
									]
								},
								"description": "Проверка JWT токена"
							},
							"response": []
						}
					]
				}
			]
		},
		{
			"name": "speech.kloud.one",
			"item": [
				{
					"name": "api",
					"item": [
						{
							"name": "Создание ключа",
							"item": [
								{
									"name": "Генерация токена для создания ключа",
									"request": {
										"method": "GET",
										"header": [],
										"url": {
											"raw": "https://apidb.etcd.kloud.one/jwt/get?time=123",
											"protocol": "https",
											"host": [
												"apidb",
												"etcd",
												"kloud",
												"one"
											],
											"path": [
												"jwt",
												"get"
											],
											"query": [
												{
													"key": "time",
													"value": "123"
												}
											]
										},
										"description": "Создание ключа для нового пользователя"
									},
									"response": []
								},
								{
									"name": "Создание ключа",
									"request": {
										"method": "GET",
										"header": [],
										"url": {
											"raw": "https://speech.etcd.kloud.one/api/create?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ0aW1lIjoiMTIzIiwiZXhwIjoxNzE5MjE3NDM4LCJpYXQiOjE2MzI4MTczNzh9.sbUmTHmIDkhsTMlRTNyoOx3Ig8vrJ0mnsDOryMd0NG0",
											"protocol": "https",
											"host": [
												"speech",
												"etcd",
												"kloud",
												"one"
											],
											"path": [
												"api",
												"create"
											],
											"query": [
												{
													"key": "token",
													"value": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ0aW1lIjoiMTIzIiwiZXhwIjoxNzE5MjE3NDM4LCJpYXQiOjE2MzI4MTczNzh9.sbUmTHmIDkhsTMlRTNyoOx3Ig8vrJ0mnsDOryMd0NG0",
													"description": "(Required) Токен"
												}
											]
										},
										"description": "Создание ключа для нового пользователя"
									},
									"response": []
								}
							]
						},
						{
							"name": "Изменение количества минут",
							"item": [
								{
									"name": "Генерация токена для изменения количества минут",
									"request": {
										"method": "GET",
										"header": [],
										"url": {
											"raw": "https://apidb.etcd.kloud.one/jwt/get?time=123&key=123",
											"protocol": "https",
											"host": [
												"apidb",
												"etcd",
												"kloud",
												"one"
											],
											"path": [
												"jwt",
												"get"
											],
											"query": [
												{
													"key": "time",
													"value": "123"
												},
												{
													"key": "key",
													"value": "123"
												}
											]
										},
										"description": "Изменение количества минут"
									},
									"response": []
								},
								{
									"name": "Изменение количества минут",
									"request": {
										"method": "GET",
										"header": [],
										"url": {
											"raw": "https://speech.etcd.kloud.one/api/set?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJrZXkiOiIxMjMiLCJ0aW1lIjoiMTIzIiwiZXhwIjoxNzE5MjE3Nzg3LCJpYXQiOjE2MzI4MTc3Mjd9.hRyzmPpSn9l8UxcbufdVfjpDaFJVDGzb2_sCPwSWeLw",
											"protocol": "https",
											"host": [
												"speech",
												"etcd",
												"kloud",
												"one"
											],
											"path": [
												"api",
												"set"
											],
											"query": [
												{
													"key": "token",
													"value": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJrZXkiOiIxMjMiLCJ0aW1lIjoiMTIzIiwiZXhwIjoxNzE5MjE3Nzg3LCJpYXQiOjE2MzI4MTc3Mjd9.hRyzmPpSn9l8UxcbufdVfjpDaFJVDGzb2_sCPwSWeLw",
													"description": "(Required) Токен"
												}
											]
										},
										"description": "Изменение количества минут"
									},
									"response": []
								}
							]
						},
						{
							"name": "Получение истории баланса",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "https://speech.etcd.kloud.one/api/get-balancehistory?start=1632430800000&end=1632517199000",
									"protocol": "https",
									"host": [
										"speech",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"api",
										"get-balancehistory"
									],
									"query": [
										{
											"key": "key",
											"value": "occaecat proident in ullamco mollit",
											"description": "(Required) Ключ",
											"disabled": true
										},
										{
											"key": "keys",
											"value": "occaecat proident in ullamco mollit",
											"description": "Ключи",
											"disabled": true
										},
										{
											"key": "start",
											"value": "1632430800000",
											"description": "Начало"
										},
										{
											"key": "end",
											"value": "1632517199000",
											"description": "Конец"
										}
									]
								},
								"description": "Получение истории баланса"
							},
							"response": []
						},
						{
							"name": "Получение остатка секунд у нескольких объектов",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "https://speech.etcd.kloud.one/api/get-timeleft?keys=030bb203-7f95-4ce3-93b5-d288659e8b34,d12bf913-0c64-4bda-945d-bb19ad705d7c",
									"protocol": "https",
									"host": [
										"speech",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"api",
										"get-timeleft"
									],
									"query": [
										{
											"key": "keys",
											"value": "030bb203-7f95-4ce3-93b5-d288659e8b34,d12bf913-0c64-4bda-945d-bb19ad705d7c",
											"description": "(Required) Ключи"
										}
									]
								},
								"description": "Получение остатка секунд"
							},
							"response": []
						},
						{
							"name": "Получение секунд у одного объекта",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "https://speech.etcd.kloud.one/api/get-stat?key=d12bf913-0c64-4bda-945d-bb19ad705d7c",
									"protocol": "https",
									"host": [
										"speech",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"api",
										"get-stat"
									],
									"query": [
										{
											"key": "key",
											"value": "d12bf913-0c64-4bda-945d-bb19ad705d7c",
											"description": "(Required) Ключ"
										}
									]
								},
								"description": "Получение остатка секунд"
							},
							"response": []
						},
						{
							"name": "Получение записей",
							"request": {
								"method": "GET",
								"header": [],
								"url": {
									"raw": "https://speech.etcd.kloud.one/api/get-records?key=&type=&keys=030bb203-7f95-4ce3-93b5-d288659e8b34,d12bf913-0c64-4bda-945d-bb19ad705d7c&start=1632430800000&end=1632517199000",
									"protocol": "https",
									"host": [
										"speech",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"api",
										"get-records"
									],
									"query": [
										{
											"key": "key",
											"value": ""
										},
										{
											"key": "type",
											"value": ""
										},
										{
											"key": "keys",
											"value": "030bb203-7f95-4ce3-93b5-d288659e8b34,d12bf913-0c64-4bda-945d-bb19ad705d7c",
											"description": "Ключи"
										},
										{
											"key": "start",
											"value": "1632430800000",
											"description": "Начало"
										},
										{
											"key": "end",
											"value": "1632517199000",
											"description": "Конец"
										}
									]
								},
								"description": "Получение записей"
							},
							"response": []
						}
					]
				},
				{
					"name": "синтез речи",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "https://speech.etcd.kloud.one/tts?key=030bb203-7f95-4ce3-93b5-d288659e8b34&text=Досвидания&speaker=oksana&emotion=good&speed=1",
							"protocol": "https",
							"host": [
								"speech",
								"etcd",
								"kloud",
								"one"
							],
							"path": [
								"tts"
							],
							"query": [
								{
									"key": "key",
									"value": "030bb203-7f95-4ce3-93b5-d288659e8b34",
									"description": "(Required) Ключ"
								},
								{
									"key": "text",
									"value": "Досвидания",
									"description": "(Required) Текст для синтеза речи"
								},
								{
									"key": "speaker",
									"value": "oksana",
									"description": "(Required) Голос"
								},
								{
									"key": "emotion",
									"value": "good",
									"description": "(Required) Интонация"
								},
								{
									"key": "speed",
									"value": "1",
									"description": "(Required) Скорость речи"
								}
							]
						},
						"description": "Получение синтезированной речи"
					},
					"response": []
				},
				{
					"name": "создание token",
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "https://speech.etcd.kloud.one/token?payload=sdfg-adsfsd",
							"protocol": "https",
							"host": [
								"speech",
								"etcd",
								"kloud",
								"one"
							],
							"path": [
								"token"
							],
							"query": [
								{
									"key": "payload",
									"value": "sdfg-adsfsd",
									"description": "(Required) Данные для токена"
								}
							]
						},
						"description": "Создание token"
					},
					"response": []
				}
			]
		},
		{
			"name": "Monitoring",
			"item": [
				{
					"name": "Auth",
					"item": [
						{
							"name": "Авторизация",
							"request": {
								"method": "POST",
								"header": [
									{
										"key": "Content-Type",
										"value": "application/json"
									}
								],
								"body": {
									"mode": "raw",
									"raw": "{\n    \"login\": \"rarusadmin\",\n    \"password\": \"Qa1Ws2Ed3Rf4\"\n}"
								},
								"url": {
									"raw": "https://monitormars.etcd.kloud.one/login",
									"protocol": "https",
									"host": [
										"monitormars",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"login"
									]
								},
								"description": "Авторизация в сервисе monitor.kloud.one"
							},
							"response": []
						},
						{
							"name": "Закрытие сессии",
							"request": {
								"auth": {
									"type": "digest",
									"digest": [
										{
											"key": "username",
											"value": "rarusadmin",
											"type": "string"
										},
										{
											"key": "password",
											"value": "Qa1Ws2Ed3Rf4",
											"type": "string"
										},
										{
											"key": "algorithm",
											"value": "MD5",
											"type": "string"
										}
									]
								},
								"method": "GET",
								"header": [],
								"url": {
									"raw": "https://monitormars.etcd.kloud.one/logout",
									"protocol": "https",
									"host": [
										"monitormars",
										"etcd",
										"kloud",
										"one"
									],
									"path": [
										"logout"
									]
								},
								"description": "Закрытие сессии"
							},
							"response": []
						}
					]
				},
				{
					"name": "Получение списка неактивных пользователей",
					"request": {
						"auth": {
							"type": "digest",
							"digest": [
								{
									"key": "username",
									"value": "rarusadmin",
									"type": "string"
								},
								{
									"key": "password",
									"value": "Qa1Ws2Ed3Rf4",
									"type": "string"
								},
								{
									"key": "algorithm",
									"value": "MD5",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [],
						"url": {
							"raw": "https://monitormars.etcd.kloud.one/getDisactiveUsers?start=1632430800000&end=1632517199000",
							"protocol": "https",
							"host": [
								"monitormars",
								"etcd",
								"kloud",
								"one"
							],
							"path": [
								"getDisactiveUsers"
							],
							"query": [
								{
									"key": "start",
									"value": "1632430800000"
								},
								{
									"key": "end",
									"value": "1632517199000"
								}
							]
						},
						"description": "Получение списка неактивных пользователей"
					},
					"response": []
				},
				{
					"name": "Получение баланса пользователя",
					"request": {
						"auth": {
							"type": "noauth"
						},
						"method": "POST",
						"header": [
							{
								"key": "Content-Type",
								"value": "application/json"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n    \"phone\": \"79297343140\",\n    \"password\": \"ddXDsjkzQ\",\n    \"service\": \"multifon.ru\"\n}"
						},
						"url": {
							"raw": "https://monitormars.etcd.kloud.one/getBalance",
							"protocol": "https",
							"host": [
								"monitormars",
								"etcd",
								"kloud",
								"one"
							],
							"path": [
								"getBalance"
							]
						},
						"description": "Получение баланса пользователя"
					},
					"response": []
				},
				{
					"name": "Получение активных марсов",
					"request": {
						"auth": {
							"type": "apikey",
							"apikey": [
								{
									"key": "key",
									"value": "Cookie",
									"type": "string"
								},
								{
									"key": "value",
									"value": "<API Key>",
									"type": "string"
								},
								{
									"key": "in",
									"value": "header",
									"type": "string"
								}
							]
						},
						"method": "GET",
						"header": [],
						"url": {
							"raw": "https://monitormars.etcd.kloud.one/api/v1/tasks.mars?limit=100&skip=0&sort={%22login%22:-1}",
							"protocol": "https",
							"host": [
								"monitormars",
								"etcd",
								"kloud",
								"one"
							],
							"path": [
								"api",
								"v1",
								"tasks.mars"
							],
							"query": [
								{
									"key": "limit",
									"value": "100",
									"description": "Лимит показываемых пользователей"
								},
								{
									"key": "skip",
									"value": "0",
									"description": "Пропустить 0 пользователей"
								},
								{
									"key": "query",
									"value": "\"name\":{\"$regex\":\"905\"}",
									"description": "Оператор поисковой строки высокого уровня, не работает",
									"disabled": true
								},
								{
									"key": "sort",
									"value": "{%22login%22:-1}",
									"description": "Сортировка по логину"
								}
							]
						},
						"description": "Получение активных марсов"
					},
					"response": []
				}
			]
		},
		{
			"name": "Менеджер задач",
			"item": [
				{
					"name": "Старт, стоп, удаление",
					"item": [
						{
							"name": "delete container docker mars",
							"request": {
								"method": "DELETE",
								"header": [],
								"url": {
									"raw": "https://sherpa:1IqSfUfrjEJG2X@runner_sherpa.kloud.one/containers/58b17e2dc3409f7fba5339334a8f088d62068a12c4f627fce507fef42ea9d6e3",
									"protocol": "https",
									"auth": {
										"user": "sherpa",
										"password": "1IqSfUfrjEJG2X"
									},
									"host": [
										"runner_sherpa",
										"kloud",
										"one"
									],
									"path": [
										"containers",
										"58b17e2dc3409f7fba5339334a8f088d62068a12c4f627fce507fef42ea9d6e3"
									]
								}
							},
							"response": []
						},
						{
							"name": "stop container docker mars",
							"request": {
								"method": "POST",
								"header": [],
								"url": {
									"raw": "https://sherpa:1IqSfUfrjEJG2X@runner_sherpa.kloud.one/containers/58b17e2dc3409f7fba5339334a8f088d62068a12c4f627fce507fef42ea9d6e3/stop",
									"protocol": "https",
									"auth": {
										"user": "sherpa",
										"password": "1IqSfUfrjEJG2X"
									},
									"host": [
										"runner_sherpa",
										"kloud",
										"one"
									],
									"path": [
										"containers",
										"58b17e2dc3409f7fba5339334a8f088d62068a12c4f627fce507fef42ea9d6e3",
										"stop"
									]
								}
							},
							"response": []
						},
						{
							"name": "start container docker mars",
							"request": {
								"method": "POST",
								"header": [],
								"url": {
									"raw": "https://sherpa:1IqSfUfrjEJG2X@runner_sherpa.kloud.one/containers/58b17e2dc3409f7fba5339334a8f088d62068a12c4f627fce507fef42ea9d6e3/start",
									"protocol": "https",
									"auth": {
										"user": "sherpa",
										"password": "1IqSfUfrjEJG2X"
									},
									"host": [
										"runner_sherpa",
										"kloud",
										"one"
									],
									"path": [
										"containers",
										"58b17e2dc3409f7fba5339334a8f088d62068a12c4f627fce507fef42ea9d6e3",
										"start"
									]
								}
							},
							"response": []
						}
					]
				},
				{
					"name": "Создание контейнера",
					"request": {
						"auth": {
							"type": "noauth"
						},
						"method": "POST",
						"header": [
							{
								"key": "Content-Type",
								"value": "application/json"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\n \"image\": \"registry.digtlab.ru/kloud.one/kloud_one:test\",\n \"env\": [\n      \"SPEECH_SOCKET=wss://speech.etcd.kloud.one/asrsocket.ws\",\n     \"YANDEX_TTS=https://speech.etcd.kloud.one/tts?\",\n     \"URI_API=https://apidb.etcd.kloud.one\",\n     \"URI_MONGODB=mongodb://example:example@0.0.0.0:0000/?replicaSet=rs0\",\n     \"NAME_DB=example\",\n     \"CONFIG={'webPort': 8000,'audioCodec': 'PCMA','stunServer': 'stun.sipnet.ru:3478','dataStorageDays': 100,'webhook': 1,'bitrix24':{'portal_link': '','client_id': '','client_secret': '','grant_type':'','redirect_uri': ''},'repository': 'https://raw.githubusercontent.com/komunikator/mars/master/package.json','webAccounts': [{'username': 'admin','password': 'admin'}],'trustedNet': {'tokenURL':'https://net.trusted.ru/idp/sso/oauth/token','profileURL': 'https://net.trusted.ru/trustedapp/rest/person/profile/get','redirect_uri': '/auth/trusted','client_id':'TRUSTED_LOGIN_CLIENT_ID','client_secret': 'TRUSTED_LOGIN_CLIENT_SECRET'},'maxCalls': 10,'ringingTimeout': 30,'serviceName': 'MARS','activeAccount': 0,'def_tts': 'yandex','ivona_speech': {'accessKey': '','secretKey': '','language': 'ru-RU','name': 'Tatyana','gender': 'Female'},'sipAccounts': {},'b24accounts': {'test1': {'disable': 1,'clientId': 'APP_CLIENT_ID','clientSecret': 'APP_CLIENT_SECRET','portalLink': 'LINK_MY_PORTAL_BITRIX24','redirectUri': 'MY_DOMAIN:PORT'}},'levels': {'[all]': 'trace','http': 'error'},'replaceConsole': false,'appenders': [{'type': 'console','category': ['console, server, ua, call, task, error, http, rotation, sip_proxy']}],'sipServer': 'disable','paymentService': {'authorizationUrl': 'https://apidb.etcd.kloud.one/uth/login?login=example&password=example','getUserInfoUrl': 'https://apidb.etcd.kloud.one/users?','getUserSecondsUrl': 'https://speech.etcd.kloud.one/api/get-stat?key='},'balance': 'enable','marsID': '3c952fac-0997-4339-89a1-04e6facd51bd','reloadTime': '00:00'}\"\n ],\n \"HostConfig\": {\n   \"LogConfig\": {\n     \"Type\": \"json-file\",\n     \"Config\": {\n       \"max-size\": \"100m\",\n       \"max-file\": \"10\",\n       \"tag\": \"{{.ImageName}}|{{.Name}}\"\n     }\n   }\n },\n \"Binds\": [\"/etc/localtime:/etc/localtime:ro\"],\n \"RestartPolicy\": {\n   \"Name\": \"always\"\n }\n}"
						},
						"url": {
							"raw": "https://sherpa:1IqSfUfrjEJG2X@runner_sherpa.kloud.one/containers/create",
							"protocol": "https",
							"auth": {
								"user": "sherpa",
								"password": "1IqSfUfrjEJG2X"
							},
							"host": [
								"runner_sherpa",
								"kloud",
								"one"
							],
							"path": [
								"containers",
								"create"
							]
						}
					},
					"response": []
				}
			]
		}
	]
}